Bug 104072 - Licenses in rpm-db are not canonicalized
Licenses in rpm-db are not canonicalized
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-09 12:50 EDT by Michael Tiemann
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-16 14:28:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Tiemann 2003-09-09 12:50:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Here is a list of installed software on my Red Hat 8.0 machine grouped by
license type.  As you can see, terms like "GPL/LGPL", "GPL and LGPL" and
"LGPL/GPL" have identical meaning, yet sort into separate buckets.  The
licensing terms should be canonicalized so that one can more easily determine
how many packages are covered by which licenses.

      1,235K     (0.04% of total) 
    632,695K    LGPL (20.55% of total) 
     56,085K    GPL/QPL (1.82% of total) 
        290K    Freely Redistributable (0.01% of total) 
     10,593K    MIT (0.34% of total) 
    157,074K    Commercial (5.10% of total) 
        322K    GPL/distributable (0.01% of total) 
      2,561K    GPL and Artistic (0.08% of total) 
     25,591K    Proprietary (0.83% of total) 
         35K    Freely redistributable (0.00% of total) 
         42K    Freely distributable with attribution (0.00% of total) 
      3,573K    OpenLDAP (0.12% of total) 
      4,212K    Custom (0.14% of total) 
        150K    W3C license (BSD like). (0.00% of total) 
      7,065K    Freely Distributable (0.23% of total) 
        568K    Red Hat has permission to redistribute. (0.02% of total) 
      6,111K    Apache Software License (0.20% of total) 
        757K    OSI certified (0.02% of total) 
      5,115K    Freely distributable (0.17% of total) 
     11,972K    BSDish (0.39% of total) 
    132,812K    BSD (4.31% of total) 
          1K    Red Hat, Inc. internal use only (0.00% of total) 
        972K    distributable - most of it GPL (0.03% of total) 
        187K    GNU General Public License (0.01% of total) 
      3,086K    GPL or BSD (0.10% of total) 
         59K    BSD/GPL (0.00% of total) 
        122K    Distributable - Copyright 1989,1990 by Paul Sutcliffe Jr.
(0.00% of total) 
        178K    Free, no warranties. (0.01% of total) 
     35,227K    MPL (1.14% of total) 
      4,495K    GPL (programs), relaxed LGPL (libraries), and public domain
(docs) (0.15% of total) 
        124K    public domain (0.00% of total) 
      2,656K    eGenix.com Public License (Python) (0.09% of total) 
     34,796K    Artistic (1.13% of total) 
     14,065K    GNU GPL Version 2 (0.46% of total) 
        243K    OMRON Corporation, OMRON Software Co., Ltd. (0.01% of
total) 
     26,913K    PSF - see LICENSE (0.87% of total) 
      7,415K    BSD-like (0.24% of total) 
    131,448K    distributable (4.27% of total) 
        415K    Distributable (BSD-like) (0.01% of total) 
         62K    artistic (0.00% of total) 
        142K    GPL/BSD (0.00% of total) 
          0K    pubkey (0.00% of total) 
      3,591K    MIT, freely distributable. (0.12% of total) 
        524K    X-like (0.02% of total) 
         68K    BSD-like and LGPL (0.00% of total) 
     22,195K    GPL, LGPL (0.72% of total) 
     28,866K    freeware (0.94% of total) 
      1,418K    free for non-commercial use (0.05% of total) 
     76,833K    Distributable (2.50% of total) 
     11,350K    commercial (0.37% of total) 
      1,016K    Copyright � 1999-2002 Red Hat, Inc. All rights reserved.
(0.03% of total) 
        147K    GPL or Artistic (0.00% of total) 
     74,014K    XFree86 (2.40% of total) 
      1,346K    Public Domain (0.04% of total) 
     13,922K    Apacheish (0.45% of total) 
     50,520K    Common Public License Version 0.5
<http://www.eclipse.org/legal/cpl-v05.html> (1.64% of total) 
      6,039K    Open Group Public License (0.20% of total) 
         72K    Unknown (0.00% of total) 
      2,917K    IBM Public License Version 1.0 (0.09% of total) 
        714K    Free (0.02% of total) 
        771K    GPL/XFree86 (0.03% of total) 
        777K    3DFX GLIDE Source Code General Public License (0.03% of
total) 
      5,979K    GPL2 (0.19% of total) 
        119K    Public domain (0.00% of total) 
      9,353K    GPL/LGPL (0.30% of total) 
        904K    GNU GPL (0.03% of total) 
     95,547K    The PHP License, version 2.02 (3.10% of total) 
  1,204,411K    GPL (39.11% of total) 
        597K    LGPL and GPL (0.02% of total) 
        742K    BSD-style (0.02% of total) 
      6,710K    LGPL/GPL (0.22% of total) 
        325K    GPL or artistic (0.01% of total) 
     11,682K    Copyright 1995-2003 (MIT) (INRIA), (L)GPL compatible (0.38%
of total) 
      5,077K    Freeware (0.16% of total) 
      1,134K    QPL (0.04% of total) 
     56,140K    1994-2001 Sun Microsystems, Inc. (1.82% of total) 
      4,818K    GPL, URW holds copyright (0.16% of total) 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Run rpm -qai and look at license fields.

Additional info:
Comment 1 Elliot Lee 2005-03-16 14:28:45 EST
Not high priority - fixing this would be nice but not important at this point.

Note You need to log in before you can comment on or make changes to this bug.